.header {
  font-size: 36px;
  line-height: 49px;
  font-family: "Open Sans","arial, helvetica, sans-serif";
  display: block;
  -webkit-font-smoothing: antialiased;
  font-weight: 300;
}

.logo {
  vertical-align: top;
  border: 0;
}

html {
  background-color: #e6e9e9;
  background-image: -webkit-linear-gradient(270deg,rgb(230,233,233) 0%,rgb(216,221,221) 100%);
  background-image: linear-gradient(270deg,rgb(230,233,233) 0%,rgb(216,221,221) 100%);
  -webkit-font-smoothing: antialiased;
}

.lab1_toggle {
  font-family: Helvetica, Arial, sans-serif;
  font-size: 2.0em;
  line-height: 1.8em;
  font-weight: bold;
  text-align: center;
}

.virtual_div {
  text-align: center;
  background-color: beige;
  border-color: black;
  border-width: thin;
  border-style: solid;
  padding: 1em 1em 1em;
}

.left {
  text-align: left;
}

body {
  margin: 0 auto;
  padding: 2em 2em 4em;
  max-width: 80%;
  font-family: Helvetica, Arial, sans-serif;
  font-size: 1.2em;
  line-height: 1.5em;
  color: #545454;
  background-color: #ffffff;
  box-shadow: 0 0 2px rgba(0, 0, 0, 0.06);
}

h1, h2, h3, h4, h5, h6 {
  color: white;
  font-weight: 400;
  line-height: 1.5em;
  background-color: rgb(7,165,222);
  font: Arial;
  padding-left: 15px;
  box-shadow: 10px 10px 5px rgb(144, 144, 145);
}
h2, h3 {
  background: #3399cc; /* Old browsers */
  background: -moz-linear-gradient(top,  #3399cc 0%, #003366 0%, #3399cc 100%); /* FF3.6-15 */
  background: -webkit-linear-gradient(top,  #3399cc 0%,#003366 0%,#3399cc 100%); /* Chrome10-25,Safari5.1-6 */
  background: linear-gradient(to bottom,  #3399cc 0%,#003366 0%,#3399cc 100%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
  filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#3399cc', endColorstr='#3399cc',GradientType=0 ); /* IE6-9 */
}

h1 {
  background: #3399cc;
  background: -moz-linear-gradient(top,  #3399cc 0%, #207cca 0%, #009999 100%); /* FF3.6-15 */
  background: -webkit-linear-gradient(top,  #3399cc 0%,#207cca 0%,#009999 100%); /* Chrome10-25,Safari5.1-6 */
  background: linear-gradient(to bottom,  #3399cc 0%,#207cca 0%,#009999 100%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
  filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#3399cc', endColorstr='#009999',GradientType=0 ); /* IE6-9 */
}

h3 {
  font-weight: bold;
}

p.summary {
  margin-top: 3em;
  margin-bottom: 3em;
}

a {
  color: #0083e8;
}

b, strong {
  font-weight: 600;
}

samp {
  display: none;
}

img {
  -webkit-animation: colorize 2s cubic-bezier(0, 0, .78, .36) 1;
  animation: colorize 2s cubic-bezier(0, 0, .78, .36) 1;
  background: transparent;
  border: 10px solid rgba(0, 0, 0, 0.12);
  border-radius: 4px;
  display: block;
  margin: 1.3em auto;
  max-width: 95%;
}

video {
  border: 10px solid rgba(0, 0, 0, 0.12);
  border-radius: 4px;
  display: block;
  margin: 1.3em auto;
  max-width: 95%;
}

@-webkit-keyframes colorize {
  0% {
      -webkit-filter: grayscale(100%);
  }
  100% {
      -webkit-filter: grayscale(0%);
  }
}

@keyframes colorize {
  0% {
      filter: grayscale(100%);
  }
  100% {
      filter: grayscale(0%);
  }
}

pre code {
  padding: 0;
  color: #3f3b36;
  background-color: transparent;
  font-size: 1.0rem;
  line-height: 2rem;
  text-shadow: none;
}

code {
  background-color: rgba(27,31,35,.05);
  border-radius: 3px;
  font-size: 85%;
  padding: .2em .4em;
  font-weight: lighter;
  font-family: Monaco,'MonacoRegular',monospace;
}

.answerInput {
  padding-right: 0.5rem;
  padding-left: 0.5rem;
  color: #3f3b36;
  border: 1px solid #39bdb1;
  border-radius: 5rem;
  font-weight: lighter;
  font-family: Monaco,'MonacoRegular',monospace;
  font-size: 0.8rem;
}

.answerInput:focus{
  outline: none;
}

pre {
  width: 92%;
  overflow: auto;
  margin: 1rem 0;
  margin-top: 1rem;
  margin-right: 0px;
  margin-bottom: 1rem;
  margin-left: 0px;
  padding: 1rem 0.8rem 1rem 1.2rem;
  padding-top: 1rem;
  padding-right: 0.8rem;
  padding-bottom: 1rem;
  padding-left: 1.2rem;
  color: #3f3b36;
  border: 1px solid #39bdb1;
  border-left: 1rem solid #39bdb1;
  font: lighter 1.0rem/2rem Monaco,'MonacoRegular',monospace;
  font-style: normal;
  font-variant-ligatures: normal;
  font-variant-caps: normal;
  font-variant-numeric: normal;
  font-weight: lighter;
  font-stretch: normal;
  font-size: 1.0rem;
  line-height: 1.4rem;
  font-family: Monaco, MonacoRegular, monospace;
  background: url(images/pre.png) repeat 0 -0.9rem;
  background-image: url(images/pre.png);
  background-position-x: 0px;
  background-position-y: -0.9rem;
  background-repeat-x: repeat;
  background-repeat-y: repeat;
  background-attachment: initial;
  background-origin: initial;
  background-clip: initial;
  background-color: initial;
  background-size: 1px 4rem;
  box-shadow: 10px 10px 5px rgb(144, 144, 145);
}

pre.bash {
  background-color: black;
  color: white;
  font-family: Monaco,MonacoRegular,monospace;
}

div[class="listingblock bash"] div[class="content"] pre {
  background-color: black;
}

div[class="listingblock bash"] div[class="content"] pre code {
  color: white;
  font-family: Monaco,MonacoRegular,monospace;
  line-height: 1.4rem;
}

hr {
  margin-bottom: 4em;
  margin-top: 4em;
  border : 0;
  height: 1px;
  background-image: linear-gradient(to right, #66ccff, #006699, #66ccff);
}

ol li {
  margin-top: 3rem;
}

ul li {
  margin-top: 0
}

kbd {
  font-family: Courier, Monaco,'MonacoRegular',monospace;
  font-weight: bold;
  font-size: 1.2rem;
  line-height: 1.5rem;
}

.kbd {
  font-family: Courier, Monaco,'MonacoRegular',monospace;
  font-weight: bold;
  font-size: 1.2rem;
  line-height: 1.5rem;
}

h2 {
  font-size: 2.5rem;
}

table.labTable {
  border: 1px solid #1C6EA4;
  /* background-color: #EEEEEE;*/
  width: 70%;
  text-align: left;
  border-collapse: collapse;
}

table.labTable td, table.labTable th {
  border: 3px solid #1C6EA4;
  padding: 3px 2px;
}

table.labTable tbody td {
  font-size: 16px;
}

table.labTable tr:nth-child(even) {
  background: #D0E4F5;
}

table.labTable thead {
  background: #1C6EA4;
  background: -moz-linear-gradient(top, #5592bb 0%, #327cad 66%, #1C6EA4 100%);
  background: -webkit-linear-gradient(top, #5592bb 0%, #327cad 66%, #1C6EA4 100%);
  background: linear-gradient(to bottom, #5592bb 0%, #327cad 66%, #1C6EA4 100%);
  border-bottom: 2px solid #444444;
}

table.labTable thead th {
  font-size: 15px;
  font-weight: bold;
  color: #FFFFFF;
  border-left: 2px solid #D0E4F5;
}

table.labTable thead th:first-child {
  border-left: none;
}

table.relevance {
    border: 1px solid black;
    font-size: 0.8em;
    border-collapse: collapse;
}
.relevance th {
    text-align: left;
    white-space: nowrap;
    border-top: 1px solid black;
}

.relevance tr {
    border-top: 1px solid #dddddd;
}

.relevance td, .relevance th {
  padding: 2px 5px;
  vertical-align: top;
  text-overflow: TODO;
}
